# SubNetworkConnectEvent (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Event

## Class SubNetworkConnectEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - net.ME1312.SubServers.Client.Bukkit.Event.SubNetworkConnectEvent

All Implemented Interfaces:
  SubEvent

    public class SubNetworkConnectEvent
    extends org.bukkit.event.Event
    implements SubEvent

SubData Network Disconnect Event

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`SubNetworkConnectEvent(SubDataClient network)` SubData Network Disconnect Event

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubNetworkConnectEvent

    public SubNetworkConnectEvent(SubDataClient network)

SubData Network Disconnect Event

### Method Detail

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()